ooo-build r14030 - in trunk: . bin



Author: thorstenb
Date: Tue Sep 23 09:27:32 2008
New Revision: 14030
URL: http://svn.gnome.org/viewvc/ooo-build?rev=14030&view=rev

Log:
    * bin/buildoo:
    * bin/ooinstall:
    * configure.in: some tweaks to make ooo-build work on Mac OS X



Modified:
   trunk/ChangeLog
   trunk/bin/build-ooo
   trunk/bin/ooinstall
   trunk/configure.in

Modified: trunk/bin/build-ooo
==============================================================================
--- trunk/bin/build-ooo	(original)
+++ trunk/bin/build-ooo	Tue Sep 23 09:27:32 2008
@@ -5,7 +5,7 @@
 #
 . ./setup
 
-if test "z$BUILD_WIN32" = "z" -a "z`uname -s`" != "zSunOS"; then
+if test "z$BUILD_WIN32" = "z" -a "z`uname -s`" != "zSunOS" -a "z`uname -s`" != "zDarwin"; then
     if ! test -f /proc/cpuinfo; then
         echo "Looks like proc isn't mounted - this means almost certain"
         echo "Java related weird build failure: please check /proc"

Modified: trunk/bin/ooinstall
==============================================================================
--- trunk/bin/ooinstall	(original)
+++ trunk/bin/ooinstall	Tue Sep 23 09:27:32 2008
@@ -32,13 +32,18 @@
 }
 
 sub wanted {
+    my $path_to_unopkg="$path/program";
+    if ( $^O =~ /darwin/i )
+    {
+        $path_to_unopkg="$path/OpenOffice.org.app/Contents/MacOS";
+    }
     -f $_ 
 	&& /.*\.oxt$/
-	&& system ( "LD_LIBRARY_PATH='' $path/program/unopkg add -v --shared $File::Find::name" )
+	&& system ( "LD_LIBRARY_PATH='' $path_to_unopkg/unopkg add -v --shared $File::Find::name" )
 	&& die "Cannot install $_ extension!";
 }
 
-( -f "/proc/meminfo" ) || die "The installer cannot work without javaldx running, which requires /proc to be mounted";
+( $^O =~ /darwin/i ) || ( -f "/proc/meminfo" ) || die "The installer cannot work without javaldx running, which requires /proc to be mounted";
 
 suck_setup ("./setup") || suck_setup ("bin/setup") || die "can't find bin/setup";
 

Modified: trunk/configure.in
==============================================================================
--- trunk/configure.in	(original)
+++ trunk/configure.in	Tue Sep 23 09:27:32 2008
@@ -603,7 +603,7 @@
 AC_CHECK_HEADER(png.h, have_png=true, have_png=false)
 AC_CHECK_HEADER(zlib.h, have_zlib=true, have_zlib=false)
 
-if test "z$with_win32" = "z"; then
+if test "z$with_win32" = "z" -a "z`uname -s`" != "zDarwin"; then
     if test "z$enable_pam" != "zno" && ! $have_pam; then
 	AC_MSG_ERROR(install pam-devel)
     fi
@@ -739,7 +739,7 @@
    fi
 fi
 if test "$enable_gtk" != "no"; then
-   if test "z$with_win32" = "z"; then
+   if test "z$with_win32" = "z" -a "z`uname -s`" != "zDarwin"; then
       OOO_WIDGET_FLAGS="--enable-gtk $OOO_WIDGET_FLAGS"
       widget_sets="gtk $widget_sets"
 
@@ -920,7 +920,11 @@
 
 
 AC_MSG_CHECKING([for GNU cp])
-GNUCP=cp
+if test "z`uname -s`" = "zDarwin"; then
+   GNUCP=gcp
+else
+   GNUCP=cp
+fi
 if test "z$with_gnu_cp" != "z"; then
     if test "z${with_gnu_cp%%/*}" = "z" ; then
 	# it's an absolute path



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]